;; Hi
;; There's not much to my .emacs file - just a little mac and folding stuff.

;; mdemarco@wesleyan.edu

;;;;;;;;;;;;
;; .emacs ;;
;;;;;;;;;;;;

;;{{{ intro

;; This is my .emacs file.  I used to have a lot of hilite-19 stuff
;; compliments of my advisor, James Lipton
;; http://www.wesleyan.edu/~jlipton/ but now I'm starting over with
;; font-lock mode - no goodies there.  He also got me hooked on 
;; html-helper-mode.

;; I now use Andrew Choi's port of Emacs 20.4 for the Macintosh, available from
;; http://www.csis.hku.hk/~choi/emacs/index.html
;; He is the source of the Macintosh default stuff section.  
;; I don't claim to understand it.

;; You may be wondering what the funky comment symbols with the braces are.  
;; They are for folding-mode, which turns emacs into a folding editor.  
;; Folding.el is available at:
;; ftp://ftp.csd.uu.se/pub/users/andersl/emacs/folding.el
;; If you were using folding mode, you would see a list of headings 
;; which you could click on to reveal or hide the text between 
;; the funky folding comments.  For more details,
;; see folding.el or my web page:
;; http://www.math.wesleyan.edu/~mdemarco/latex/folding.html

;; Oh, I'm Mary DeMarco and I claim no copyright for this work.  
;; 21-Nov-99  

;;}}}

;;{{{ my miscellaneous stuff
;;(display-time)

      (setq auto-mode-alist
         (append '(("\\.pl$" . prolog-mode))
                 auto-mode-alist))

(cd "/Macintosh HD/Documents")
;; (setq mac-command-key-is-meta 1)  ;; dq bug

;;}}}

;;{{{ Macintosh default stuff

; MPW does not allow saving a file with name beginning with a period
; (use SimpleText to edit and save the file instead.

(cond ((fboundp 'global-font-lock-mode)
       ;; Turn on font-lock in all mocdes that support it
       (global-font-lock-mode t)
       ;; Maximum colors
       (setq font-lock-maximum-decoration t)))

;; (set-background-color "white")
;; (set-foreground-color "black")

;; (setq default-frame-alist
;;   '((width . 100) (height . 40) (font . "courier")))

;; (modify-frame-parameters (selected-frame) '((height . 40) (width . 120)))

;; (modify-frame-parameters (selected-frame) '((font . "courier")))

;; (modify-frame-parameters (selected-frame) '((font . "-*-courier-*-*-*-*-10-*-*-*-*-*-*-*")))
 
(setq rmail-summary-window-size 10)
(setq mail-yank-prefix "> ")

(display-time)

;;}}}

;;{{{ my folding stuff

;; This is how you set up your own folding shortcuts.
;; I would prefer to use the defaults for mouse buttons,
;; but my Mac has only one.
;; "\C-cf" means "control-c f" and so forth.
 
       (defun my-folding-bind-keys ()
            "My favourite folding keys"
          (define-key  folding-mode-map "\C-cf"
                      'folding-toggle-show-hide)
          (define-key  folding-mode-map "\C-co"
                      'folding-open-buffer)
          (define-key  folding-mode-map "\C-cc"
                      'folding-whole-buffer)
          )
      
(defun my-folding-bind-mouse ()
         "My favourite folding mouse keys"
            (define-key  folding-mode-map [mouse-1]
                      'folding-mouse-context-sensitive)
            )

  (setq folding-default-keys-function       'my-folding-bind-keys)
  (setq folding-default-mouse-keys-function 'my-folding-bind-mouse)

;; Now load folding.el.  Put in your own path
;; or get your sysadmin to install folding.el.

(load "../site-lisp/folding.el")
;;         (load "folding" 'nomessage 'noerror)
         (folding-mode-add-find-file-hook)

;;  This is how you add new folding marks to the master list.
;;  Look at folding.el for the default marks list.

(folding-add-to-marks-list 'Prolog-mode "%{{{ " "%}}}" nil)
(folding-add-to-marks-list 'prolog-mode "%{{{ " "%}}}" nil)
;;(folding-add-to-marks-list 'sql-mode    "-- {{{ " "-- }}}" nil t)

;;}}}

;;{{{ load html helper mode
(load "../site-lisp/html-helper-mode.elc")
 
;;    (autoload 'html-helper-mode "html-helper-mode" "Yay HTML" t)

;;   To invoke html-helper-mode automatically on .html files, do this:
 
    (setq auto-mode-alist (cons '("\\.html$" . html-helper-mode)
       auto-mode-alist))
    (setq auto-mode-alist (cons '("\\.htm$" . html-helper-mode)
       auto-mode-alist))
 
;;}}}

